sk_alloc
Prev | Socket Buffer Functions | Next

## Name

sk_alloc — All socket objects are allocated here

## Synopsis

`struct sock * sk_alloc (` | struct net * | net,
| int | family,
| gfp_t | priority,
| struct proto * | prot`)`;

## Arguments

`net`

  the applicable net namespace

`family`

  protocol family

`priority`

  for allocation (`GFP_KERNEL`, `GFP_ATOMIC`, etc)

`prot`

  struct proto associated with this new sock instance

Prev | Up | Next
skb_cow_data | Home | sk_wait_data